GDAL

Public Member Functions | Static Public Member Functions | List of all members
gdal::GCP Class Reference

C++ wrapper over the C GDAL_GCP structure. More...

`#include <gdal_priv.h>`

## Public Member Functions
| GCP (const char *pszId="", const char *pszInfo="", double dfPixel=0, double dfLine=0, double dfX=0, double dfY=0, double dfZ=0)
| Constructor.
| ~GCP ()
| Destructor.
| GCP (const GCP &)
| Copy constructor.
| GCP (const GDAL_GCP &other)
| Constructor from a C GDAL_GCP instance.
GCP & | operator= (const GCP &)
| Copy assignment operator.
| GCP (GCP &&)
| Move constructor.
GCP & | operator= (GCP &&)
| Move assignment operator.
const char * | Id () const
| Returns the "id" member.
void | SetId (const char *pszId)
| Set the 'id' member of the GCP.
const char * | Info () const
| Returns the "info" member.
void | SetInfo (const char *pszInfo)
| Set the 'info' member of the GCP.
double | Pixel () const
| Returns the "pixel" member.
double & | Pixel ()
| Returns a reference to the "pixel" member.
double | Line () const
| Returns the "line" member.
double & | Line ()
| Returns a reference to the "line" member.
double | X () const
| Returns the "X" member.
double & | X ()
| Returns a reference to the "X" member.
double | Y () const
| Returns the "Y" member.
double & | Y ()
| Returns a reference to the "Y" member.
double | Z () const
| Returns the "Z" member.
double & | Z ()
| Returns a reference to the "Z" member.
const GDAL_GCP * | c_ptr () const
| Casts as a C GDAL_GCP pointer.

## Static Public Member Functions
static const GDAL_GCP * | c_ptr (const std::vector< GCP > &asGCPs)
| Cast a vector of gdal::GCP as a C array of GDAL_GCP.
static std::vector< GCP > | fromC (const GDAL_GCP *pasGCPList, int nGCPCount)
| Creates a vector of GDAL::GCP from a C array of GDAL_GCP.

## Detailed Description

C++ wrapper over the C GDAL_GCP structure.

It has the same binary layout, and thus a gdal::GCP pointer can be cast as a GDAL_GCP pointer.

Since
  3.9

The documentation for this class was generated from the following files:

- gdal_priv.h
- gdal_misc.cpp